///home/berryj/link/bin/genMethods "-g" "-t" "int" "-h" "DList" "-I" "LINK/basic/DList.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/DList.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef int _int;
typedef DList<int > _DList_int_;
static DList<int > s__DList_int_;

#define _DList_int_DATA(x) ((DList<int >*) (EXTDATA(x)))
#define _DList_int_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<DList<int > >::type))
#define _DList_int_ISNT_DATA(x) (!_DList_int_IS_DATA(x))

#define _DList_int_CXX_DATA(x) (*(DList<int >*) (EXTDATA(VAL(x))))
#define _DList_int_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<DList<int > >::type))
#define _DList_int_CXX_ISNT_DATA(x) (!_DList_int_CXX_IS_DATA(x))


PRIMITIVE STk_init__DList_int_()
{
	Wrapper<_DList_int_>::type = STk_new_CXXwrapper_id(
			Wrapper<_DList_int_>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_DList_int_>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_DList_int_Methods(void);

PRIMITIVE STk_init_methods__DList_int_()
{
	genExtra_DList_int_Methods();
	return UNDEFINED;
}
